summaryrefslogtreecommitdiff
path: root/totp
diff options
context:
space:
mode:
Diffstat (limited to 'totp')
-rwxr-xr-xtotp8
1 files changed, 8 insertions, 0 deletions
diff --git a/totp b/totp
new file mode 100755
index 0000000..a606d6b
--- /dev/null
+++ b/totp
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eu
+
+name="$1"
+
+oathtool --base32 --totp "$(pass show "totp/$name")"
+